Rated 5 out of 5 stars

Need 3.6 compatibility fast......this is my favorite!